﻿@using System.Web.UI.WebControls
@model Portal.Models.ScanGate.ScanGateReceivingDB
<div id="theresult">
<table style="width:100%; text-align:center; background-color:#e9f1f6; padding:0;margin:0;"  >
<tr>
<td>
 @Html.DevExpress().Label(
                    settings =>
                    {
                        settings.Name = "lblErrorMessage";
                        settings.ControlStyle.ForeColor=System.Drawing.Color.Red;
                        settings.ControlStyle.Font.Bold=true;
                        settings.ControlStyle.Font.Size=15;
                        settings.Height = Unit.Pixel(50);
                        settings.Width = Unit.Percentage(100);
                    }
                ).GetHtml()    
</td>
</tr>
</table>


    <table width="100%" height="150px" cellpadding="0" cellspacing="0">
    
    <tr style="border-top:2px solid #C0C0C0">
        <td style="width:17%;background-color:#e9f1f6;; margin:0; padding:0">&nbsp;</td>
        <td style="width:25%; text-align:center; background-color:#e9f1f6;">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRoute1";
                        settings.Text = "ROUTE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <th style="width:4%; background-color:#e9f1f6;">&nbsp;</th>
        <th style="width:25%; text-align:center; background-color:#e9f1f6;">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRate1";
                        settings.Text = "RATE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </th>
        <th style="width:20%; background-color:#e9f1f6;">&nbsp;</th>
    </tr>
    <tr>
        <td style="width:5%;background-color:#e9f1f6; margin:0; padding:0">&nbsp;</td>
        <td style="width:20%; text-align:center; background-color:#e9f1f6; margin:0; padding:0">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblROUTE";
                        settings.Text = Model.ROUTE;
                        settings.ControlStyle.Font.Size = 18;
                        settings.ControlStyle.Font.Bold = true; 
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                    }).GetHtml()
        </td>
        <td style="width:1%; text-align:center; background-color:#e9f1f6;"><p><b><font size="50"> - </font></b></p></td>
        <td style=" text-align:center; background-color:#e9f1f6; margin:0; padding:0">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRate";
                        settings.Text = Model.RATE;
                        settings.ControlStyle.Font.Size = 18;
                        settings.ControlStyle.Font.Bold = true;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                    }).GetHtml()
        </td>
        <td style="width:20%; background-color:#e9f1f6;">&nbsp;</td>
    </tr>
     <tr>
    <td align="center" colspan="5" style="background-color:#e9f1f6;; text-align:center;">
    @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblInfo";
                        settings.Text = "YOUR ARRIVAL-DEPARTURE PLAN INFORMATION";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
   
    
    </td>
    </tr>

</table>   
      

<table width="100%" cellpadding="0" cellspacing="0" style="background-color:#e9f1f6;" >
   
    <tr>
    <td style="width:; background-color:#e9f1f6;">&nbsp;</td>
        <td style="width:15%;border-top:2px solid #C0C0C0; border-left:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; margin:0; padding:0; background-color:#e9f1f6;">
          <table>
          <tr>
                <td>
           @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblIn";
                                settings.Text = "Arrival";
                                settings.ControlStyle.Font.Size = 17;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                           <br /> 
              </td>
              </tr>              
              <tr>
              <td>
                        <table>

                            <tr>

                            <td>
                                  <table>
                                        <tr>
                                        <td>
                                        @Html.DevExpress().Label(
                                            settings => {
                                                settings.Name = "lblPlanIn";
                                                settings.Text = "Plan";
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.ControlStyle.Font.Bold = true;                                
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                            }).GetHtml()
                                        </td>
                                        <td>
                                        @Html.DevExpress().TextBox(
                                            settings =>
                                            {
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                settings.ControlStyle.Font.Bold = true;
                                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.Name = "txtPlanIn";
                                                settings.ReadOnly = true;
                                                settings.Text = Model.PLAN_IN_DT.ToString("HH:mm");// ARRIVAL_ACTUAL_DT.ToString("HH:mm");
                                                settings.Width = Unit.Pixel(80);
                                            }).GetHtml()
                                        </td>
                                        </tr>
                                        <tr>
                                        <td>
                                        @Html.DevExpress().Label(
                                            settings => {
                                                settings.Name = "lblActualIn";
                                                settings.Text = "Actual";
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.ControlStyle.Font.Bold = true;                                
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                            }).GetHtml()
                                        </td>
                                        <td>
                                        @Html.DevExpress().TextBox(
                                            settings =>
                                            {
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                settings.ControlStyle.Font.Bold = true;
                                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.Name = "txtActualIn";
                                                settings.ReadOnly = true;
                                                settings.Text = Model.ACTUAL_IN_DT.ToString("HH:mm");//ARRIVAL_ACTUAL_DT.ToString("HH:mm");
                                                settings.Width = Unit.Pixel(80);
                                            }).GetHtml()
                                        </td>
                                        </tr>
                                        <tr>
                                        <td>
                                         @Html.DevExpress().Label(
                                            settings => {
                                                settings.Name = "lblGapIn";
                                                settings.Text = "Gap";
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.ControlStyle.Font.Bold = true;                                
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                            }).GetHtml()
                                        </td>
                                        <td>
                                         @Html.DevExpress().TextBox(
                                            settings =>
                                            {
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                settings.ControlStyle.Font.Bold = true;
                                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.Name = "txtGapIn";
                                                settings.ReadOnly = true;
                                                settings.Text = Model.GAP_IN.ToString(@"hh\:mm");
                                                settings.Width = Unit.Pixel(80);
                                            }).GetHtml()
                                        </td>
                                        </tr>
                                        </table>
                            </td>
                            <td>
                            <div style="width:100%; text-align:center;">
                            <img alt="" id="imgIN" src="@Url.Content(Model.STATUS_IN_IMAGE)" />
                            <br />
                             @Html.DevExpress().Label(
                                            settings => {
                                                settings.Name = "lblStatusIn";
                                                settings.Text = Model.STATUS_IN;
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.ControlStyle.Font.Bold = true;                                
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                            }).GetHtml()
                            </div>
                            </td>
                            </tr>
                            </table>
          
              </td>
              </tr>   
            </table>                
                                               
        </td>        
        <td style="width:15%;border-top:2px solid #C0C0C0;border-right: 2px solid #c0c0c0; border-bottom:2px solid #C0C0C0; margin:0; padding:0; background-color:#e9f1f6;">
         <table>
         <tr>
         <td>
                &nbsp;@Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblOut";
                                settings.Text = "Departure";
                                settings.ControlStyle.Font.Size = 17;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            <br />

         </td>
         </tr>
         <tr>
         <td>
                    <table>
            <tr>
            <td>
                  <table>
                        <tr>
                        <td>
                         @Html.DevExpress().Label(
                                                settings => {
                                                    settings.Name = "lblPlanOut";
                                                    settings.Text = "Plan";
                                                    settings.ControlStyle.Font.Size = 15;
                                                    settings.ControlStyle.Font.Bold = true;                                
                                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                                    settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                                }).GetHtml()
                        </td>
                        <td>
                          @Html.DevExpress().TextBox(
                                        settings =>
                                        {
                                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                            settings.ControlStyle.Font.Bold = true;
                                            settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                            settings.ControlStyle.Font.Size = 15;
                                            settings.Name = "txtPlanOut";
                                            settings.ReadOnly = true;
                                            settings.Text = Model.PLAN_OUT_DT.ToString("HH:mm");
                                            settings.Width = Unit.Pixel(80);
                                        }).GetHtml()
                        </td>
                        </tr>
                        <tr>
                        <td>
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblActualOut";
                                settings.Text = "Actual";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                        </td>
                        <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15;
                                settings.Name = "txtActualOut";
                                settings.ReadOnly = true;
                                settings.Text = Model.ACTUAL_OUT_DT.ToString("HH:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                        </td>
                        </tr>
                        <tr>
                        <td>
                         @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblGapOut";
                                settings.Text = "Gap";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                        </td>
                        <td>
                         @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15;
                                settings.Name = "txtGapOut";
                                settings.ReadOnly = true;
                                settings.Text = Model.GAP_OUT.ToString(@"hh\:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                        </td>
                        </tr>
                        </table>
            </td>
            <td>
            <div style="width:100%; text-align:center;">
             <img alt="" id="imgOUT" src="@Url.Content(Model.STATUS_OUT_IMAGE)" /> 
             <br />
             
              @Html.DevExpress().Label(
                                            settings => {
                                                settings.Name = "lblStatusOut";
                                                settings.Text = Model.STATUS_OUT;
                                                settings.ControlStyle.Font.Size = 15;
                                                settings.ControlStyle.Font.Bold = true;                                
                                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                            }).GetHtml()
              </div>                              
            </td>
            </tr>
            </table>
          
         </td>
         </tr>
         </table>       
        </td>

        @if (ViewData["viewTruckInfo"]=="true") 
        {
        <td style="width:20%;border-top:2px solid #C0C0C0;border-right: 2px solid #c0c0c0; border-bottom:2px solid #C0C0C0; margin:0; padding:0; background-color:#e9f1f6;vertical-align:top;">
            <table>
                <tr>
                    <td style="border-bottom:2px solid #C0C0C0;text-align:center;">
                        &nbsp;@Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblInfoHdr";
                                settings.Text = "Truck Parking Information";
                                settings.ControlStyle.Font.Size = 17;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            <br />

                    </td>
                </tr>
                <tr>
                    <td style="text-align:center; vertical-align:middle;height:106px;">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblInfoDtl";
                                settings.Text = string.Format("{0}",ViewData["viewPlantInfo"]);
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                </tr>
            </table>    
        </td>
        }
        <td style="background-color:#e9f1f6;">&nbsp;</td>
   </tr>
</table>
</div>


